Crystal Space: iStandardReporterListener Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iStandardReporterListener Struct Reference

Interface to control the settings of the reporter listener plugin. More...

`#include <ivaria/stdrep.h>`

Inheritance diagram for iStandardReporterListener:

[legend]
List of all members.

## Public Member Functions
virtual const char * | GetDebugFile ()=0
| Get the debug file name (or null if a debug file is not used).
virtual void | RemoveMessages (int severity, bool remove)=0
| Control if this reporter listener should remove messages of a certain severity.
virtual void | SetDebugFile (const char *filename, bool append=false)=0
| Set the debug file to use (standard filename).
virtual void | SetDefaults ()=0
| Set useful defaults for output console, native window manager, reporter (will use iObjectRegistry to query for those).
virtual void | SetMessageDestination (int severity, bool do_stdout, bool do_stderr, bool do_console, bool do_alert, bool do_debug, bool do_popup=false)=0
| Control where some type of message (severity level from the reporter plugin: CS_REPORTER_.
virtual void | SetNativeWindowManager (iNativeWindowManager *wm)=0
| Set the native window manager to use.
virtual void | SetOutputConsole (iConsoleOutput *console)=0
| Set the output console to use.
virtual void | SetReporter (iReporter *rep)=0
| Set the reporter to use.
virtual void | ShowMessageID (int severity, bool showid)=0
| Control if the reporter should show message id as well.

## Detailed Description

Interface to control the settings of the reporter listener plugin.

Main creators of instances implementing this interface:

- Standard Reporter Listener plugin (crystalspace.utilities.stdrep)

Main ways to get pointers to this interface:

- csQueryRegistry()

Definition at line 41 of file stdrep.h.

## Member Function Documentation

virtual const char* iStandardReporterListener::GetDebugFile | ( |  | ) | `[pure virtual]`

Get the debug file name (or null if a debug file is not used).

virtual void iStandardReporterListener::RemoveMessages | ( | int | severity,
|  | bool | remove |
| ) |  |  | `[pure virtual]`

Control if this reporter listener should remove messages of a certain severity.

By default all messages are removed.

virtual void iStandardReporterListener::SetDebugFile | ( | const char * | filename,
|  | bool | append = `false` |
| ) |  |  | `[pure virtual]`

Set the debug file to use (standard filename).

If append is true the debug file name is appended to instead of a new one created.

virtual void iStandardReporterListener::SetDefaults | ( |  | ) | `[pure virtual]`

Set useful defaults for output console, native window manager, reporter (will use iObjectRegistry to query for those).

The debug file will be 'debug.txt'

virtual void iStandardReporterListener::SetMessageDestination | ( | int | severity,
|  | bool | do_stdout,
|  | bool | do_stderr,
|  | bool | do_console,
|  | bool | do_alert,
|  | bool | do_debug,
|  | bool | do_popup = `false` |
| ) |  |  | `[pure virtual]`

Control where some type of message (severity level from the reporter plugin: CS_REPORTER_.

..) will go to. Several of these flags can be on at the same time or none if you just want to ignore some message.

virtual void iStandardReporterListener::SetNativeWindowManager | ( | iNativeWindowManager * | wm | ) | `[pure virtual]`

Set the native window manager to use.

virtual void iStandardReporterListener::SetOutputConsole | ( | iConsoleOutput * | console | ) | `[pure virtual]`

Set the output console to use.

virtual void iStandardReporterListener::SetReporter | ( | iReporter * | rep | ) | `[pure virtual]`

Set the reporter to use.

virtual void iStandardReporterListener::ShowMessageID | ( | int | severity,
|  | bool | showid |
| ) |  |  | `[pure virtual]`

Control if the reporter should show message id as well.

By default this is only done for fatal, bug, and debug severity levels.

The documentation for this struct was generated from the following file:

- ivaria/stdrep.h